################################################################################
#
# GLUPEN64
#
################################################################################
LIBRETRO_GLUPEN64_VERSION = 374f8bb31ce8e54c815cf5b38dc645ff6d8637cb
LIBRETRO_GLUPEN64_SITE = $(call github,libretro,mupen64plus-libretro,$(LIBRETRO_GLUPEN64_VERSION))

ifeq ($(BR2_PACKAGE_RPI_USERLAND),y)
	LIBRETRO_GLUPEN64_DEPENDENCIES += rpi-userland
endif

ifeq ($(BR2_PACKAGE_MESA3D),y)
LIBRETRO_GLUPEN64_DEPENDENCIES += mesa3d
endif

ifeq ($(BR2_i386)$(BR2_x86_64),y)
LIBRETRO_GLUPEN64_DEPENDENCIES += host-nasm
endif

LIBRETRO_GLUPEN64_SUPP_OPT=

ifeq ($(BR2_PACKAGE_RECALBOX_TARGET_RPI3),y)
	LIBRETRO_GLUPEN64_SUPP_OPT=FORCE_GLES=1 ARCH=arm
	LIBRETRO_GLUPEN64_PLATFORM=rpi3
else ifeq ($(BR2_PACKAGE_RECALBOX_TARGET_RPI2),y)
	LIBRETRO_GLUPEN64_SUPP_OPT=FORCE_GLES=1 ARCH=arm
	LIBRETRO_GLUPEN64_PLATFORM=rpi2
else ifeq ($(BR2_PACKAGE_RECALBOX_TARGET_XU4),y)
	LIBRETRO_GLUPEN64_SUPP_OPT=FORCE_GLES=1 ARCH=arm
	LIBRETRO_GLUPEN64_PLATFORM=odroid
else ifeq ($(BR2_PACKAGE_RECALBOX_TARGET_C2),y)
	LIBRETRO_GLUPEN64_SUPP_OPT=FORCE_GLES=1 ARCH=aarch64
	LIBRETRO_GLUPEN64_PLATFORM=unix
else ifeq ($(BR2_i386),y)
	LIBRETRO_GLUPEN64_SUPP_OPT=FORCE_GLES=1 ARCH=i686
	LIBRETRO_GLUPEN64_PLATFORM=unix
else ifeq ($(BR2_x86_64),y)
	LIBRETRO_GLUPEN64_SUPP_OPT=FORCE_GLES=1 ARCH=x86_64
	LIBRETRO_GLUPEN64_PLATFORM=unix
else
	LIBRETRO_GLUPEN64_PLATFORM=$(LIBRETRO_PLATFORM)
endif

define LIBRETRO_GLUPEN64_BUILD_CMDS
	CFLAGS="$(TARGET_CFLAGS)" CXXFLAGS="$(TARGET_CXXFLAGS)" \
	       $(MAKE) NASM="$(HOST_DIR)/bin/nasm" CXX="$(TARGET_CXX)" CC="$(TARGET_CC)" -C $(@D)/ -f Makefile platform="$(LIBRETRO_GLUPEN64_PLATFORM)" $(LIBRETRO_GLUPEN64_SUPP_OPT)
endef

define LIBRETRO_GLUPEN64_INSTALL_TARGET_CMDS
	$(INSTALL) -D $(@D)/mupen64plus_libretro.so \
		$(TARGET_DIR)/usr/lib/libretro/glupen64_libretro.so
endef

define GLUPEN64_CROSS_FIXUP
	$(SED) 's|/opt/vc/include|$(STAGING_DIR)/usr/include|g' $(@D)/Makefile
	$(SED) 's|/opt/vc/lib|$(STAGING_DIR)/usr/lib|g' $(@D)/Makefile
endef

GLUPEN64_PRE_CONFIGURE_HOOKS += GLUPEN64_FIXUP

$(eval $(generic-package))
